Legrand / Raritan / Server Technology Xerus™ JSON-RPC API

Loading...
Searching...
No Matches
Public Attributes | List of all members
event::AlarmManager::AlarmAcknowledgedEvent Struct Reference

Existing alarm acknowledgement event. More...

Inheritance diagram for event::AlarmManager::AlarmAcknowledgedEvent:

## Public Attributes
string | alarmId
| Alarm id of acknowledged alarm.
Public Attributes inherited from idl::Event
Object | source
| IDL object that originated the event.

## Detailed Description

Existing alarm acknowledgement event.

Definition at line 67 of file AlarmManager.idl.

## Member Data Documentation

## ◆ alarmId

string event::AlarmManager::AlarmAcknowledgedEvent::alarmId

Alarm id of acknowledged alarm.

Definition at line 68 of file AlarmManager.idl.

The documentation for this struct was generated from the following file:

- AlarmManager.idl